Prepare transaction fields for DEFI actions
curl --request GET \
--url https://api.getnimbus.io/v2/farming/tx/prepareimport requests
url = "https://api.getnimbus.io/v2/farming/tx/prepare"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getnimbus.io/v2/farming/tx/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getnimbus.io/v2/farming/tx/prepare",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getnimbus.io/v2/farming/tx/prepare"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getnimbus.io/v2/farming/tx/prepare")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getnimbus.io/v2/farming/tx/prepare")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"field": "type",
"type": "string"
}
]
}DEFI Actions
Prepare transaction fields for DEFI actions
GET
/
v2
/
farming
/
tx
/
prepare
Prepare transaction fields for DEFI actions
curl --request GET \
--url https://api.getnimbus.io/v2/farming/tx/prepareimport requests
url = "https://api.getnimbus.io/v2/farming/tx/prepare"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getnimbus.io/v2/farming/tx/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getnimbus.io/v2/farming/tx/prepare",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getnimbus.io/v2/farming/tx/prepare"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getnimbus.io/v2/farming/tx/prepare")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getnimbus.io/v2/farming/tx/prepare")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"field": "type",
"type": "string"
}
]
}Query Parameters
The blockchain network
Available options:
SUI The protocol name
Available options:
alpha-fi, navi, scallop, suilend, native-staking The type of DEFI actions (type chosen properly with protocol provided)
Available options:
LENDING, BORROW, REPAY, ADD_LP, REMOVE_LP, STAKING, UNSTAKING, LENDING_WITHDRAW Response
Transaction fields prepared successfully
Show child attributes
Show child attributes

